> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Withdrawals

> Returns the authenticated user's withdrawal history, including amount,
currency, status, and creation date.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /user/withdrawals
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /user/withdrawals:
    get:
      tags:
        - User
      summary: Get User Withdrawals
      description: |-
        Returns the authenticated user's withdrawal history, including amount,
        currency, status, and creation date.
      operationId: User_getUserWithdrawals
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserWithdrawalsResponse'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        '502':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserWithdrawalsBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetUserWithdrawalsResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UserWithdrawal'
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    NotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    GetUserWithdrawalsBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    UserWithdrawal:
      type: object
      required:
        - txHash
        - amount
        - currency
        - status
        - createdAt
      properties:
        txHash:
          type: string
        amount:
          type: string
        currency:
          type: string
        status:
          $ref: '#/components/schemas/UserWithdrawalStatus'
        createdAt:
          type: string
          format: date-time
    UserWithdrawalStatus:
      type: string
      enum:
        - pending
        - completed
        - failed
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````